'use strict';

var _primitiveReducer = require('../primitiveReducer');

describe('PrimitiveReducer', function () {

    describe('behaviors', function () {

        describe('replace', function () {
            var replace = _primitiveReducer.DEFAULT_PRIMITIVE_BEHAVIORS.replace;

            it('reducer should return the state if the payload is undefined', function () {
                expect(replace.reducer('foo', undefined)).toEqual('foo');
            });
            it('reducer should return the new state', function () {
                expect(replace.reducer('foo', 'bar')).toEqual('bar');
            });
        });

        describe('reset', function () {
            var reset = _primitiveReducer.DEFAULT_PRIMITIVE_BEHAVIORS.reset;

            it('reducer should return the initial state', function () {
                expect(reset.reducer('foo', undefined, 'bar')).toEqual('bar');
            });
        });
    });
});