"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getApplicableCombinedActions = exports.isCombinedAction = exports.createCombinedAction = exports.COMBINED_ACTION = undefined;

var _keys = require("lodash/fp/keys");

var _keys2 = _interopRequireDefault(_keys);

var _includes = require("lodash/fp/includes");

var _includes2 = _interopRequireDefault(_includes);

var _filter = require("lodash/fp/filter");

var _filter2 = _interopRequireDefault(_filter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var COMBINED_ACTION = exports.COMBINED_ACTION = "/@@redux-scc-combined-action";
var createCombinedAction = exports.createCombinedAction = function createCombinedAction(_ref) {
  var _ref$name = _ref.name,
      name = _ref$name === undefined ? "" : _ref$name,
      actions = _ref.actions;
  return {
    type: "" + name + COMBINED_ACTION,
    payload: actions
  };
};

var isCombinedAction = exports.isCombinedAction = function isCombinedAction(actionType) {
  return actionType ? actionType.indexOf(COMBINED_ACTION) > -1 : false;
};

var getApplicableCombinedActions = exports.getApplicableCombinedActions = function getApplicableCombinedActions(behaviors) {
  return (0, _filter2.default)(function (_ref2) {
    var type = _ref2.type;
    return (0, _includes2.default)(type)((0, _keys2.default)(behaviors));
  });
};