"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateAtIndex = updateAtIndex;
exports.removeAtIndex = removeAtIndex;

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function updateAtIndex(array, value, index) {
  if (typeof index !== "number") throw new Error("Must provide a numeric index to updateAtIndex");
  if (index < 0 || index > array.length - 1) throw new Error("The index " + index + " is out of range for the array provided");
  return [].concat(_toConsumableArray(array.slice(0, index)), [value], _toConsumableArray(array.slice(index + 1)));
}

function removeAtIndex(array, index) {
  if (typeof index !== "number") throw new Error("Must provide a numeric index to removeAtIndex");
  if (index < 0 || index > array.length - 1) throw new Error("The index " + index + " is out of range for the array provided");
  return [].concat(_toConsumableArray(array.slice(0, index)), _toConsumableArray(array.slice(index + 1)));
}